Subject: Re: [DNA] Confirming today's face-to-face meeting decisions

From: Sathya Narayanan <[email-masked]>
Date: Thu, 11 Nov 2004 10:28:44 -0500

Erik -
 
> While the timeout is the case in the current rrd draft, it isn't a 
> fundamental property of landmark-based schemes.
Just to set the record straight, timeout is not the case in current RRD draft. I agree with you that it is not a fundamental property of 'host-scoped' ;-)scheme. I mentioned timeout in response to a specific question.

> For instance, in a landmark scheme the routers on the link can 
> share the 
> landmarks they have so that any router can respond. If you do 
> this, a RS 
> containing a landmark can be responded by any router, whether on 
> the 
> same link or not. If on the same link the router would respond 
> "yes, 
> this landmark is on this link" and if its it a different link the 
> router 
> would respond "no".
I am not sure I like where you are going with this. You are slowly moving the landmark towards becoming 'link-scoped' identifier.

- Sathya

---

From: Erik Nordmark <[email-masked]>
Date: Thu, 11 Nov 2004 08:24:53 -0800

Sathya Narayanan wrote:

> Just to set the record straight, timeout is not the case in current
> RRD draft. I agree with you that it is not a fundamental property of
> 'host-scoped' ;-)scheme. I mentioned timeout in response to a
> specific question.

Sorry for jumping to conclusions about rrd based on what we were discussing.

> I am not sure I like where you are going with this. You are slowly
> moving the landmark towards becoming 'link-scoped' identifier.

And what's the problem?

Physical landmarks might be visible from a long distance, or might be 
the mailbox next to starbucks down the road (at least if you stretch the 
definition). And since I started using the "landmark" term I get first 
dibs on its definition :-)

More seriously, if we are concerned about the issues around routers 
agreeing on a single number, then allowing there to be multiple numbers 
removes that problem.

I the interest of making progress it is useful to try to understand what 
we see as desirable properties of a solution, and I don't see how
your comment above helps with this.

    Erik